ALTER FUNCTION "DBA"."existid_suundlist"( in a_klass char(16), in a_nimi char(100) default 'Uus tegevussuund' ) 
returns integer
begin
  declare ll_suundnr integer;
  set a_klass = "left"(a_klass+space(16),16);
  select first suundlist.suundnr into ll_suundnr from suundlist where suundlist.suund = a_klass order by suundlist.kell desc;
  if ll_suundnr = 0 or ll_suundnr is null then
    insert into suundlist( suund,nimi ) values( a_klass, a_nimi ) ;
    select suundlist.suundnr into ll_suundnr from suundlist where suundlist.suund = a_klass
  end if;
  return(ll_suundnr)
end